package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.AliasServico;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Ruta;

public class RenderAliasServico implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		AliasServico aliasServico = (AliasServico) o;

		Listcell lc = new Listcell(aliasServico.getAliasServicoId().toString());
		lc.setParent(lstm);

		Parada origem = aliasServico.getOrigen();
		if (origem != null) {
			lc = new Listcell(origem.getDescparada());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Parada destino = aliasServico.getDestino();
		if (destino != null) {
			lc = new Listcell(destino.getDescparada());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Ruta ruta = aliasServico.getRuta();
		if (ruta != null) {
			lc = new Listcell(ruta.toString());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Integer corridaId = aliasServico.getCorridaId();
		if (corridaId != null) {
			lc = new Listcell(corridaId.toString());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Parada aliasOrigem = aliasServico.getAliasOrigen();
		if (aliasOrigem != null) {
			lc = new Listcell(aliasOrigem.getDescparada());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Parada alliasDestino = aliasServico.getAliasDestino();
		if (alliasDestino != null) {
			lc = new Listcell(alliasDestino.getDescparada());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lstm.setAttribute("data", aliasServico);
	}
}
